%define upstream_name	 Math-Roman
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Arbitrary sized Roman numbers and conversion from and to Arabic
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(Math::BigInt) >= 1.200.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Well, it seems I have been infected by the Perligata-Virus, too. ;o)

This module lets you calculate with Roman numbers, as if they were big
integers. The numbers can have arbitrary length and all the usual functions
from Math::BigInt are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
# (tv) Fix shebang:
perl -pi -e 's@^#!perl@#!/bin/perl@' %buildroot/%_datadir/perl5/vendor_perl/Math/Roman.pm


%files
%doc BUGS CHANGES LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.90.0-2.mga9
+ Revision: 1814755
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 tv <tv> 1.90.0-1.mga9
+ Revision: 1736475
- update to 1.09

* Wed Feb 12 2020 umeabot <umeabot> 1.80.0-4.mga8
+ Revision: 1505104
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.80.0-3.mga7
+ Revision: 1284762
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.80.0-2.mga7
+ Revision: 1165435
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.80.0-1.mga7
+ Revision: 1156107
- update to 1.08

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-7.mga6
+ Revision: 1029795
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.70.0-6.mga6
+ Revision: 946521
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-5.mga5
+ Revision: 739700
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 685379
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-3.mga4
+ Revision: 512875
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 369669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 26554
- mageia rebuild
- imported package perl-Math-Roman


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 403856
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.07-6mdv2009.0
+ Revision: 241725
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-4mdv2008.0
+ Revision: 86634
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-3mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.07-2mdk
- Fix According to perl Policy
	- Source URL
- use mkrel

* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdk
- first mdk release

